/*
 * Created on 2005/01/25
 *
 */
package jnet.application.property;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class ApplicationProperty {
	/**
	 * This is only instance of HighLevelInfoBuff.
	 */
	private static ApplicationProperty applicationProperty =
			new ApplicationProperty();
	
	/**
	 * This reprecents path of gps source.
	 */
	private String sourcePass = "gps_source\\";
	
	/**
	 * This reprecents path of outputed gps information.
	 */
	private String outputGpsDataPass = "gps_source\\";
	
	/**
	 * This reprecents file type.
	 */
	private String fileType = ".txt";
	
	/**
	 * nobady create instance from constractor.
	 *
	 */
	private ApplicationProperty() {
		
	}
	
	/**
	 * This method reuturn instance of this class.
	 * 
	 * @return instance of this class.
	 */
	public static ApplicationProperty getInstance() {
		return applicationProperty;
	}
	
	/**
	 * This method returns path of gps source file.
	 * 
	 * @return Returns the sourcePass.
	 */
	public String getSourcePass() {
		return sourcePass;
	}
	
	/**
	 * This method returns path of gps source file type.
	 * 
	 * @return Returns the fileType.
	 */
	public String getFileType() {
		return fileType;
	}
	
	/**
	 * This method returns path of output gps file.
	 * 
	 * @return Returns the outputGpsDataPass.
	 */
	public String getOutputGpsDataPass() {
		return outputGpsDataPass;
	}
}
