/*
 * Created on 2005/01/24
 *
 */
package jnet.application.util;

import jnet.application.gui.Viewer;

/**
 * This class is for processing Viewer.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class ViewerProcesser implements Runnable {
	
	/**
	 * This is time(sec) between update.
	 */
	public static int TIME_FOR_UPDATE = 500;
	
	/**
	 * This value reprecents processing Viewer or not.
	 */
	private static boolean process = false;
	
	/* (non-Javadoc)
	 * @see java.lang.Runnable#run()
	 */
	public void run() {
		process = true;
		
		while (process) {
			Viewer.getInstance().repaint();
			
			try {
				Thread.sleep(TIME_FOR_UPDATE);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}
	
	/**
	 * This method end updating viewer.
	 *
	 */
	public static void endViewer() {
		process = false;
	}
}
