/*
 * Created on 2005/01/20
 *
 */
package jnet.gps.process;

/**
 * This is interface of calculating headding.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public interface DirectionCalculator {
	/**
	 * The method for calculating speed.
	 * 
	 * @return speed
	 */
	/**
	 * The method for calculating headding.
	 * 
	 * @return headding
	 */
	public abstract String getDirection(String cuLatitude, String cuLongitude, String exLatitude, String exLongitude);
	
	/**
	 * This method returns direction name.
	 * for example, if 337.5 - 0.0 and 0.0 - 22.5, 
	 * direction name is "NORTH".
	 * 
	 * @param headding headding CompassDegree
	 * @return name of direction.
	 */
	public abstract String getDirectionName(String headding);
}
