/*
 * Created on 2005/01/20
 *
 */
package jnet.gps.process;

/**
 * This is a class which realizes a simple headding calculation method.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SimpleDirectionCalculationMethod implements DirectionCalculator {

	/* (non-Javadoc)
	 * @see jnet.gps.process.DirectionCalculator#getDirection(java.lang.String, java.lang.String, java.lang.String, java.lang.String)
	 */
	public String getDirection(String cuLatitude, String cuLongitude,
			String exLatitude, String exLongitude) {
		// This is terminal current position.
		double ty = Double.parseDouble(cuLatitude);
		double tx = Double.parseDouble(cuLongitude);
		
		// This is terminal current position of 1 second befor
		double ey = Double.parseDouble(exLatitude);
		double ex = Double.parseDouble(exLongitude);
		
		double dx = tx - ex;	// distance between terminal position and event position.
		double dy = ty - ey;
		
		double radian = Math.atan2(dy, dx);
		double degree = Math.toDegrees(radian);
		
		double compassDegree = 90.0 -degree;
		if (compassDegree < 0.0){
			compassDegree +=360;
		}
		
		return String.valueOf(compassDegree);
	}

	/* (non-Javadoc)
	 * @see jnet.gps.process.DirectionCalculator#getDirectionName(java.lang.String)
	 */
	public String getDirectionName(String headding) {
		// TODO Auto-generated method stub
		return null;
	}

}
