/*
 * Created on 2005/01/20
 *
 */
package jnet.gps.process;

import jnet.gps.geo.DistanceCalculater;

/**
 * This is a class which realizes a simple speed calculation method.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SimpleSpeedCalculationMethod implements SpeedCalculator {

	/* (non-Javadoc)
	 * @see jnet.gps.process.SpeedCalculator#getSpeed(java.lang.String, java.lang.String, java.lang.String, java.lang.String)
	 */
	public String getSpeed(String cuLatitude, String cuLongitude,
			String exLatitude, String exLongitude) {
		// calculate the distance of present and 1 second ago.
		double d = DistanceCalculater.getDistance(cuLatitude,
												   cuLongitude,
												   exLatitude,
												   exLongitude);
		// The unit of Variable d is (m/s).
		// transfor from m/s to km/h.
		d = d * 3600 / 1000;
		
		return String.valueOf(d);
	}

}
