/*
 * Created on 2005/01/22
 *
 */
package jnet.hiromicam.algorithm.event;

import java.util.ArrayList;

import jnet.hiromicam.msg.FirstLevelInfo;

/**
 * This is interface to analyze own terminal action.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public interface ActionAnalyzer {
	/**
	 * This method analyze First-Level Information of won terminal.<br>
	 * If This terminal's action is abnormal, return true.<br><br>
	 * 
	 * @param msg current message of own terminal
	 * @param firstLevelInfoList First-Level Information of own.
	 * 
	 * @return This terminal is abnormal or not. true:abnormal, false:normal.
	 */
	boolean isAbnormalAction(FirstLevelInfo msg, ArrayList firstLevelInfoList);
}
