/*
 * Created on 2005/01/22
 *
 */
package jnet.hiromicam.properity;

/**
 * This class is property for algorithm.
 * This class is applied singleton.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class AlgorithmProperty {
	/**
	 * This is a coefficient of detection emergencies.
	 */
	private double alpha = 15;
	
	/**
	 * instance of this class.
	 */
	private static AlgorithmProperty algorithmProperty = new AlgorithmProperty();
	
	/**
	 * nobady can create instance of this class from a constractor.
	 *
	 */
	private AlgorithmProperty(){
		
	}
	
	/**
	 * This method return instance of this class.
	 * 
	 * @return instance of this class.
	 */
	public static AlgorithmProperty getInstance() {
		return algorithmProperty;
	}
	/**
	 * This method return value of alpha.
	 * 
	 * @return Returns the alpha.
	 */
	public double getAlpha() {
		return alpha;
	}
	/**
	 * This method is for setting value of alpha.
	 * 
	 * @param alpha The alpha to set.
	 */
	public void setAlpha(double alpha) {
		this.alpha = alpha;
	}
}
