/*
 * Created on 2005/01/25
 *
 */
package jnet.htk.gui;

import javax.swing.JPanel;

import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.text.BadLocationException;

import jnet.hiromicam.util.file.GpsInfoLogger;
import jnet.htk.sorce.GpsInfoWriter;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class FileManagerControlPanel extends JPanel {
	
	/**
	 * size of window
	 */
	public  static final int WINDOW_HEIGHT = 125;
	
	/**
	 * size of window
	 */
	public  static final int WINDOW_WIDTH = 120;
	
	private JButton jButton = null;
	private JButton jButton1 = null;
	private JButton jButton2 = null;
	private JButton jButton4 = null;
	private JTextField jTextField = null;
	/**
	 * This is the default constructor
	 */
	public FileManagerControlPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		GridLayout gridLayout3 = new GridLayout();
		this.setLayout(gridLayout3);
		this.setSize(300,200);
		gridLayout3.setRows(5);
		this.add(getJButton(), null);
		this.add(getJButton1(), null);
		this.add(getJButton2(), null);
		this.add(getJButton4(), null);
		this.add(getJTextField(), null);
	}
	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("Display data");
			jButton.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			jButton.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					FileManagerDisplayPanel.getInstanceOfJTextArea().setText(
							GpsInfoLogger.getInstance().toString()
					);
				}
			});
		}
		return jButton;
	}
	/**
	 * This method initializes jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton1() {
		if (jButton1 == null) {
			jButton1 = new JButton();
			jButton1.setText("Clear buffer");
			jButton1.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			jButton1.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					FileManagerDisplayPanel.getInstanceOfJTextArea().setText("");
					GpsInfoLogger.getInstance().clearGpsInfoLogger();
				}
			});
		}
		return jButton1;
	}
	/**
	 * This method initializes jButton2	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton2() {
		if (jButton2 == null) {
			jButton2 = new JButton();
			jButton2.setText("delete first line");
			jButton2.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			jButton2.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					JTextArea jTextArea = FileManagerDisplayPanel.getInstanceOfJTextArea();
					try {
						jTextArea.replaceRange(null, 0, jTextArea.getLineEndOffset(0));
					} catch (BadLocationException e1) {
						e1.printStackTrace();
					}
				}
			});
		}
		return jButton2;
	}
	/**
	 * This method initializes jButton4	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton4() {
		if (jButton4 == null) {
			jButton4 = new JButton();
			jButton4.setText("Save data");
			jButton4.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			jButton4.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					GpsInfoWriter.outputGpsInfo(jTextField.getText(),
												FileManagerDisplayPanel.getInstanceOfJTextArea().getText());
				}
			});
		}
		return jButton4;
	}
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */    
	private JTextField getJTextField() {
		if (jTextField == null) {
			jTextField = new JTextField();
			jTextField.setText("write file name");
		}
		return jTextField;
	}
}
