/*
 * Created on 2005/01/25
 *
 */
package jnet.htk.gui;

import javax.swing.JPanel;

import javax.swing.JDesktopPane;
/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class FileManagerTabPanel extends JPanel {

	private JDesktopPane jDesktopPane = null;
	private FileManagerControlPanel fileManagerControlPanel = null;
	private FileManagerDisplayPanel fileManagerDisplayPanel = null;
	/**
	 * This is the default constructor
	 */
	public FileManagerTabPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		this.setSize(500,300);
		this.add(getJDesktopPane(), null);
	}
	/**
	 * This method initializes jDesktopPane	
	 * 	
	 * @return javax.swing.JDesktopPane	
	 */    
	private JDesktopPane getJDesktopPane() {
		if (jDesktopPane == null) {
			jDesktopPane = new JDesktopPane();
			jDesktopPane.setPreferredSize(new java.awt.Dimension(500,280));
			jDesktopPane.add(getFileManagerControlPanel(), null);
			jDesktopPane.add(getFileManagerDisplayPanel(), null);
		}
		return jDesktopPane;
	}
	/**
	 * This method initializes fileManagerControlPanel	
	 * 	
	 * @return jnet.htk.gui.FileManagerControlPanel	
	 */    
	private FileManagerControlPanel getFileManagerControlPanel() {
		if (fileManagerControlPanel == null) {
			fileManagerControlPanel = new FileManagerControlPanel();
			fileManagerControlPanel.setBounds(5, 0,
											  FileManagerControlPanel.WINDOW_WIDTH,
											  FileManagerControlPanel.WINDOW_HEIGHT);
		}
		return fileManagerControlPanel;
	}
	/**
	 * This method initializes fileManagerDisplayPanel	
	 * 	
	 * @return jnet.htk.gui.FileManagerDisplayPanel	
	 */    
	private FileManagerDisplayPanel getFileManagerDisplayPanel() {
		if (fileManagerDisplayPanel == null) {
			fileManagerDisplayPanel = new FileManagerDisplayPanel();
			fileManagerDisplayPanel.setBounds(FileManagerControlPanel.WINDOW_WIDTH + 5,
											  0,
											  this.getWidth() - 5 - FileManagerControlPanel.WINDOW_WIDTH,
											  FileManagerDisplayPanel.WINDOW_HEIGHT);
		}
		return fileManagerDisplayPanel;
	}
}
