/*
 * Created on 2005/01/25
 *
 */
package jnet.htk.sorce;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import jnet.application.property.ApplicationProperty;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SourceReader {
	/**
	 * TThis method reads GGA data form file and returns list of data.
	 * 
	 * @param fileName file name of source
	 * @return list of source data
	 * @throws IOException when IO error ouure.
	 */
	public static List readGpsInfo(String fileName) 
			throws IOException{
		BufferedReader reader =
				new BufferedReader(new FileReader(ApplicationProperty.getInstance().getSourcePass()
												   + fileName
												   + ApplicationProperty.getInstance().getFileType()));
		
		String str;
		List list = new ArrayList();
		
		while ((str = reader.readLine()) != null) {
			if (str.startsWith("$GPGGA")) {
				list.add(str);
			}
		}
		
		reader.close();
		
		return list;
	}
	
	/**
	 * TThis method reads GGA data form file and returns list of data.
	 * 
	 * @param fileNameList file name of source
	 * @return list of source data
	 * @throws IOException when IO error ouure.
	 */
	public static List readGpsInfo(ArrayList fileNameList) throws IOException {
		
		List targetList = new ArrayList();
		
		for (int i = 0; i < fileNameList.size(); i++) {
			
			BufferedReader reader =
				new BufferedReader(new FileReader(ApplicationProperty.getInstance().getSourcePass()
												   + (String)fileNameList.get(i)
												   + ApplicationProperty.getInstance().getFileType()));
			
			String str;
			List infoList = new ArrayList();
			
			while ((str = reader.readLine()) != null) {
				if (str.startsWith("$GPGGA")) {
					infoList.add(str);
				}
			}
			
			targetList.add(infoList);
			reader.close();
		}
		
		return targetList;
	}
}
